Bug 1534542 - Django 2.0
Summary: Django 2.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SelfContainedChange
Depends On: 1324118 1426798 1494761 1520890 1532541 1536591 1536593 1536594 1536595 1536597 1536600 1536601 1547082 1552014 1552017 1552022 1552028 1553247 1553252 1556193 1556223 1556282 1556325 1557563 1557567
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 13:14 UTC by Jan Kurik
Modified: 2018-04-27 13:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 08:13:42 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-15 13:14:00 UTC
This is a tracking bug for Change: Django 2.0
For more details, see: https://fedoraproject.org//wiki/Changes/Django20

This change is about upgrading python-django to version 2.0. The latest Django release drops support for Python 2, but a few Django apps packaged in Fedora do not yet support Python 3. A compatibility package will be provided for those.

Comment 1 Jan Kurik 2018-02-20 14:09:55 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Matthias Runge 2018-02-20 14:37:05 UTC
A substantial part of the packages have been changed, django-2.0 has been built and pushed to rawhide, incompatible packages were either fixed or retired.

Comment 3 Fedora End Of Life 2018-02-20 15:32:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jan Kurik 2018-03-06 08:57:33 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Miro Hrončok 2018-03-06 09:27:45 UTC
Current state, the following packages need action:

Maintainers by package:
python-django-ckeditor echevemaster
python-django-extensions rmarko
python-django-fas    jdornak (ready in master git only)
python-django-federated-login echevemaster lbazan
python-django-helpdesk lbazan
python-django-markdown2 jdornak
python-django-openid-auth rmarko
python-django-pgjson ignatenkobrain
python-django-post_office ankursinha (built for rawhide only)
python-django-pylibmc kumarpraveen
python-django-sekizai jdornak
python-django-select2 echevemaster
python-django-setuptest lbazan
python-django-south  diegobz jdornak lbazan

Packages by maintainer:
ankursinha python-django-post_office
diegobz    python-django-south
echevemaster python-django-ckeditor python-django-federated-login python-django-select2
ignatenkobrain python-django-pgjson
jdornak    python-django-fas python-django-markdown2 python-django-sekizai python-django-south
kumarpraveen python-django-pylibmc
lbazan     python-django-federated-login python-django-helpdesk python-django-setuptest python-django-south
rmarko     python-django-extensions python-django-openid-auth

Comment 6 Matthias Runge 2018-03-06 11:17:05 UTC
python-django-ckeditor: the rpm package was not updated/changed by the package maintainer. However, upstream provides a version compatible with django-2.0

python-django-extensions: it is compatible to django2.0 upstream, but the rpm maintainer did not update it yet

python-django-federated-login should be retired. It hasn't seen a upstream release for 4 years

python-django-helpdesk hasn't touched by the owner in ages, it has experimental django-2.0 support upstream

python-django-markdown2 had yesterday an upstream release, it supports python3

python-django-openid-auth: last release upstream: 2017-04-03, unclear support of both django-2.0 and python3

python-django-pgjson: latest upstream release, 4 years ago. Maybe it's time to drop the package?

python-django-pylibmc: supports django 2.0 and python-3.6 upstream, but hasn't had a release for > 2 years.

python-django-sekizai: a bit aged in fedora, but even upstream does not support anything newer than django 1.10. Time for retire?

python-django-setuptest hasn't seen a release in 2 years upstream. It doesn't support django-1.8; it should be retired

python-django-select2: outdated in fedora, upstream supports django-2.0, and python3

python-django-south: it does not work with django-1.7 and later. request to retire it: rhbz# 1547082

Comment 7 Miro Hrončok 2018-03-07 10:23:25 UTC
Got approval from jdornak for retirement of sekizai and south.

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-03-08 15:11:09 UTC
python-django-pgjson has been retired.

Comment 9 Miro Hrončok 2018-03-11 20:03:07 UTC
As per FESCo's decision in https://pagure.io/fesco/issue/1861 all packages not fixed by next Friday (2018-03-16) will be retired.

Comment 10 Miro Hrončok 2018-03-16 11:51:58 UTC
$ dnf repoquery --releasever 28 --whatrequires python2-django

python2-django-avatar-0:3.1.0-3.fc27.noarch
    https://bodhi.fedoraproject.org/updates/python-django-avatar-4.1.0-2.fc28

python2-django-ckeditor-0:5.3.0-2.fc27.noarch
    https://src.fedoraproject.org/rpms/python-django-ckeditor/c/57aceeee72d72ea515e093ee1e4a33c373c51a0c?branch=f28

python2-django-extensions-0:1.7.3-5.fc28.noarch
    https://src.fedoraproject.org/rpms/python-django-extensions/c/f7b420bc86180ed704bceee5932a7425b872bce9?branch=f28

python2-django-fas-0:1.1.0-2.fc28.noarch
    https://bodhi.fedoraproject.org/updates/FEDORA-2018-f918f1256b

python2-django-helpdesk-0:0.2.1-1.fc28.noarch
    https://src.fedoraproject.org/rpms/python-django-helpdesk/c/12da6068fde5fd728a5b1248eed44ace51588740?branch=f28

python2-django-markdown2-0:0.3.0-7.fc28.noarch
    https://bodhi.fedoraproject.org/updates/FEDORA-2018-6f9dc1dd66

python2-django-openid-auth-0:0.14-3.fc28.noarch
    https://src.fedoraproject.org/rpms/python-django-openid-auth/c/005290b73b143472fb6a79e10bba5887ff3ccc63?branch=f28

python2-django-pylibmc-0:0.6.1-4.fc27.noarch
    https://src.fedoraproject.org/rpms/python-django-pylibmc/c/9f8c66d8a58b13c360e91873038064407f18abdf?branch=f28

python2-django-select2-0:5.8.10-2.fc27.noarch
    https://src.fedoraproject.org/rpms/python-django-select2/c/98b7bcaa9ba14918ac17c0466b82be4bd7cb9f10?branch=f28

python2-django-setuptest-0:0.2.1-4.fc27.noarch
    https://src.fedoraproject.org/rpms/python-django-setuptest/c/d4888d0b3abf146b0e02226a6910d34b2475e8be?branch=f28

python2-whitenoise-0:3.1-5.fc27.noarch
    FTBFS (test failure on python3 with django2)!


$ dnf repoquery --releasever 28 --whatrequires python-django
fts-monitoring-0:3.6.8-4.fc28.noarch
    https://src.fedoraproject.org/rpms/fts-monitoring/pull-request/2

graphite-web-0:1.1.1-2.fc28.noarch
    https://src.fedoraproject.org/rpms/graphite-web/pull-request/2

python2-django-federated-login-0:1.0.0-14.fc28.noarch
    https://src.fedoraproject.org/rpms/python-django-federated-login/c/02aa3c39bb49872c0145e04834047279a62722d7?branch=f28

python2-django-post_office-0:0.6.0-11.fc28.noarch
    https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e1b4de13c

python2-testfixtures-tests-0:4.14.3-2.fc27.noarch
    https://bodhi.fedoraproject.org/updates/python-testfixtures-4.14.3-4.fc28

Comment 11 Miro Hrončok 2018-03-16 13:40:34 UTC
I consider this testable with 3 known bugs.

Comment 12 Zbigniew Jędrzejewski-Szmek 2018-03-16 18:53:56 UTC
Do the three bugs have issues? I see one open bug blocking this one.

Comment 13 Miro Hrončok 2018-03-16 22:16:51 UTC
Added 3 bugs that block this.

Comment 14 Zbigniew Jędrzejewski-Szmek 2018-04-27 08:13:42 UTC
All component bugs are resolved, so this one is done too.

Comment 15 Miro Hrončok 2018-04-27 13:07:36 UTC
\o/

Thanks everybody involved.


Note You need to log in before you can comment on or make changes to this bug.